<?php

namespace FiloBlu\Floker\Email\Helper;

/**
 * Class Transactional
 * @package FiloBlu\Floker\Email\Helper
 */
class Transactional extends \Dotdigitalgroup\Email\Helper\Transactional
{
    /**
     * @param $storeId
     * @return string
     */
    public function getSmtpHost($storeId)
    {
        return 'mailhog';
    }

    /**
     * Get config values for transport.
     *
     * @param int $storeId
     *
     * @return array
     */
    public function getTransportConfig($storeId)
    {
        return [
            'port' => 1025,
            'auth' => 'plain'
        ];
    }
}